Расширенный

Уязвимость работы с памятью

Уязвимость работы с памятью

19 июля 2012
Уровень опасности
Оценка CVSS
(AV:N/AC:L/Au:N/C:C/I:N/A:N)
Производитель ПО
Наименование ПО
PHP (4.0.0, 4.4.7, 5.0.0RC, 5.2.2)
Описание
PHP позволяет злоумышленникам читать произвольные участки памяти с помощью прерывания, которое вызывает пользовательский обработчик ошибки, который, в свою очередь, изменяет параметр на произвольный указатель, как показано на примере использования функции iptcembed, которая вызывает некоторые функции convert_to_* со своими параметрами ввода.
Как исправить
Для устранения уязвимости необходимо установить последнюю версию продукта, соответствующую используемой платформе. Необходимую информацию можно получить по адресу:
http://www.php.net/
Ссылки